Summary: An interactive astronomical ephemeris program for X Windows systems
Summary(ja): X 上で動作するプラネタリウム・ソフト
Name: xephem
Version: 3.7.1
Release: 0vl2
License: Freely redistributable/modifiable if attributed, no warranty
Group: Applications/Edutainment
URL: http://www.clearskyinstitute.com/xephem/
Source: http://www.clearskyinstitute.com/xephem/xephem-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: openMotif-devel XOrg-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
XEphem is an interactive astronomical ephemeris program for X Windows
systems with Motif. It provides many graphical views as well as
quantitative heliocentric, geocentric and topocentric information for
Earth satellites, solar system and celestial objects.

%description -l ja
XEphem は X 上で動作する天体プラネタリウムのプログラムです．動作には，
openMotif が必要です．地球の衛星や太陽系，天体を，さまざまな情報ととも
に表示できます． 

%prep
%setup -q

%build
%ifarch x86_64
(cd GUI/xephem
make MOTIF=/usr/X11R6/lib64
)
%else
(cd GUI/xephem
make MOTIF=/usr/X11R6/lib
)
%endif

%install
rm -rf $RPM_BUILD_ROOT

XS=GUI/xephem
#XL=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xephem
XL=$RPM_BUILD_ROOT%{_datadir}/xephem

#(cd GUI/xephem
#make DESTDIR=$RPM_BUILD_ROOT install install.man
#)

install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -d $XL/{auxil,catalogs,fifos,fits}

install -m 755 $XS/xephem               $RPM_BUILD_ROOT%{_bindir}
install -m 644 $XS/xephem.1             $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 $XS/auxil/*		$XL/auxil
install -m 644 $XS/catalogs/*		$XL/catalogs
install -m 644 $XS/fifos/*		$XL/fifos
install -m 644 $XS/fits/*		$XL/fits

install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
cat > $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XEphem <<EOF
XEphem.ShareDir: /usr/share/xephem
EOF
#install -m 644 $XS/XEphem.ad \
#	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XEphem

# prepare applnk

%define applnkdir /etc/X11/applnk/System
mkdir -p $RPM_BUILD_ROOT/%{applnkdir}
cat > $RPM_BUILD_ROOT/%{applnkdir}/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{name}
Type=Application
Comment=An astronomical ephemeris
Comment[ja]=プラネタリウム・ソフト
Exec=xephem
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc Copyright INSTALL README
%config(missingok) %{applnkdir}/%{name}.desktop
%{_bindir}/xephem
/usr/X11R6/lib/X11/app-defaults/XEphem
%{_datadir}/xephem
%{_mandir}/man1/xephem.1*

%changelog 
* Thu Dec 27 2007 Shu KONNO <owa@bg.wakwak.com> - 3.7.1-0vl2
- fixed MOTIF path (for x86_64)

* Tue Sep 26 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 3.7.1-0vl1
- updated to 3.7.1
- updated URL
- s/Copyright/License/
- changed Group to Applications/Edutainment

* Mon Jun  2 2003 Jun Nishii <jun@vinelinux.org>
- 3.5-0.1vl1
- build with openMotif

* Thu Sep 21 2000 Jun Nishii <jun@vinelinux.org>
- 3.2.3-0vl2
- added applnk
- build for Vine Linux 2.1

* Thu Mar  9 2000 Jun Nishii <jun@vinelinux.org>
- 3.2.3-0vl1
